unnecessary dependency on setuptools

Bug #925744 reported by Julian Taylor on 2012-02-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-networkx (Debian)
Fix Released
Unknown
python-networkx (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

[Impact] networkx has setuptools in its requries.txt but not in its dependencies.
This causes pkg_resources.require tests to fail if python-setuptools is not installed
e.g. epigrass uses this and thus fails to start when python-setuptools is not installed.
See debian bug 639995
additionally in natty a numpy dependency is missing.

[Development Fix] fixed by removint setuptools from requires.txt

[Stable Fix] do the same

[Test Case]
have *no* python-setuptools installed
apt-get install python-pkg-resources
python -c "import pkg_resources as p; p.require('networkx')"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 654, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 552, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: distribute

expected: successful require call

[Regression Potential]
low the setuptools dependency is unecessary, it is handled by python-pkg-resources (in recommends in networkx and depends on all users of this feature)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: python-networkx 1.5-2
ProcVersionSignature: Ubuntu 3.0.0-16.28-generic 3.0.17
Uname: Linux 3.0.0-16-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
CheckboxSubmission: e4c99b57321b0cd0d4cb65d85a85c1fb
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Thu Feb 2 22:33:07 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110805)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: python-networkx
UpgradeStatus: No upgrade log present (probably fresh install)

Julian Taylor (jtaylor) wrote :
Julian Taylor (jtaylor) on 2012-02-02
Changed in python-networkx (Ubuntu):
status: New → Fix Released
Changed in python-networkx (Debian):
status: Unknown → Fix Released
Julian Taylor (jtaylor) on 2012-02-03
description: updated
Julian Taylor (jtaylor) on 2012-02-03
description: updated

Hello Julian, or anyone else affected,

Accepted python-networkx into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in python-networkx (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Changed in python-networkx (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Julian, or anyone else affected,

Accepted python-networkx into natty-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in python-networkx (Ubuntu Natty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Is there really much point in fixing this in maverick now? It has lived most of its live with this bug, and will go EOL in two months.

Julian Taylor (jtaylor) wrote :

probably not, likely nobody will verify it for maverick anyway.

The fix works for me in oneiric.

Changed in python-networkx (Ubuntu Maverick):
status: New → Won't Fix
tags: added: verification-done verification-done-oneiric
Martin Pitt (pitti) on 2012-02-21
tags: removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-networkx - 1.5-2ubuntu0.1

---------------
python-networkx (1.5-2ubuntu0.1) oneiric-proposed; urgency=low

  * debian/patches/50_no_setuptools_in_requires.txt
     - don't add setuptools to requires.txt;
       allows import with pkg_resources.require('networkx') like
       e.g. epigrass does (LP: #925744)
 -- Julian Taylor <email address hidden> Fri, 03 Feb 2012 19:58:28 +0100

Changed in python-networkx (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Changed in python-networkx (Ubuntu Natty):
status: Fix Committed → Won't Fix

The fix for this bug has been awaiting testing feedback in the -proposed repository for lucid for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Julian Taylor (jtaylor) wrote :

verified the fix in a lucid chroot, no regressions reported in its very long stay in proposed or the newer releases where the fix is also present

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-networkx - 0.99-2ubuntu1.1

---------------
python-networkx (0.99-2ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/20_no_setuptools_in_requires.txt
     - don't add setuptools to requires.txt;
       allows import with pkg_resources.require('networkx') like
       e.g. epigrass does (LP: #925744)
 -- Julian Taylor <email address hidden> Fri, 03 Feb 2012 19:58:28 +0100

Changed in python-networkx (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.